Retrieve an overview list of all form cases from your website
curl -X GET "https://www.my-site.com/api/site/v2/forms/1/cases?per_page=20&sort_type=created_at&sort_order=desc&page=1" \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-site-id: YOUR_API_KEY"
import requests
import json
url = "https://www.my-site.com/api/site/v2/forms/1/cases?per_page=20&sort_type=created_at&sort_order=desc&page=1"
headers = {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"x-site-id": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://www.my-site.com/api/site/v2/forms/1/cases?per_page=20&sort_type=created_at&sort_order=desc&page=1", {
method: "GET",
headers: {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"x-site-id": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://www.my-site.com/api/site/v2/forms/1/cases?per_page=20&sort_type=created_at&sort_order=desc&page=1", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("x-site-id", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://www.my-site.com/api/site/v2/forms/1/cases?per_page=20&sort_type=created_at&sort_order=desc&page=1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['x-api-key'] = 'YOUR_API_KEY'
request['x-site-id'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
/forms/{form}/casesTarget server for requests. Edit to use your own host.
The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
The form ID which the cases are linked to.
Number of items to retireve, maximum of 500
Field by which to sort the results. Use id, created_at, or updated_at for system fields, or a custom field ID (e.g. form_field_1_1).
Order of results
Page to retrieve number, to be used with per_page
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Your Siteglide API key
API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
Path Parameters
Query Parameters
Field by which to sort the results. Use id, created_at, or updated_at for system fields, or a custom field ID (e.g. form_field_1_1).
created_atSort by creation date (default)updated_atSort by last updated dateidSort by IDform_field_1_1Sort by a custom field using its field IDResponses
OK
Unauthorized - Credentials Incorrect
Forbidden - You cannot access this site
Not Found - The form does not contain any cases
Unprocessable Entity - Required data missing or data invalid